about summary refs log tree commit diff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..ca12ac3
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+DISTRO="$1"
+RELEASE="$2"
+PKGLIST="${DISTRO}.pkglist"
+
+[ -z $DISTRO -o -z $RELEASE ] && \
+    echo "usage: sudo $0 <distro> <release>" && exit 1
+
+[[ $(id -u) != 0 ]] && \
+    echo "re-run this as root" && exit 1
+
+# make sure we have sources
+echo "deb https://apt.syncthing.net/ syncthing stable" > /etc/apt/sources.list.d/syncthing.list
+echo "deb https://weechat.org/${DISTRO} ${RELEASE} main" > /etc/apt/sources.list.d/weechat.list
+
+apt update
+apt upgrade -y
+apt full-upgrade -y
+
+apt install -y $(xargs < ${PKGLIST})
+
+
+echo -n "install makefiles? [y/n]"
+read answer
+
+[[ "$answer" = "y" ]] && \
+    make nuke install
+